import os
import requests
import logging
from dotenv import load_dotenv

# Load Environment
load_dotenv()


def validate_api_key(api_key):
    base_validate_url = "http://35.199.62.235:8080/validate_tw_key"
    headers = {'accept': 'application/json'}
    params = {'api_key': api_key}
    try:
        response = requests.post(base_validate_url, headers=headers, params=params)

        if response.status_code == 200:
            user_id = response.json()
            return user_id
        else:
            logging.error(f"API Key is invalid!, Please visit -> {'http://35.199.62.235:8080/github-login'}")
            return None

    except requests.exceptions.RequestException as e:
        logging.error(f"API request failed with an exception: {str(e)}")
        return None
